tigase.server.ext

## Interface ComponentProtocolHandler

- All Known Implementing Classes:
    ComponentProtocol

      public interface ComponentProtocolHandler

  Created: Oct 7, 2009 5:54:56 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXTCOMP_BIND_HOSTNAMES_PROP_KEY` Field description
    `static String` | `REPO_ITEM_KEY` Field description

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticated(ComponentIOService serv)`
    `void` | `authenticationFailed(ComponentIOService serv, Packet packet)`
    `void` | `bindHostname(String hostname, ComponentIOService serv)`
    `CompRepoItem` | `getCompRepoItem(String hostname)`
    `ExtProcessor` | `getProcessor(String string)`
    `List<tigase.xml.Element>` | `getStreamFeatures(ComponentIOService serv)`
    `StreamOpenHandler` | `getStreamOpenHandler(String xmlns)`
    `String` | `newPacketId(String prefix)`
    `void` | `unbindHostname(String hostname, ComponentIOService serv)`

- - ### Field Detail

    - #### REPO_ITEM_KEY

          static final String REPO_ITEM_KEY

      Field description
      See Also:
        Constant Field Values

    - #### EXTCOMP_BIND_HOSTNAMES_PROP_KEY

          static final String EXTCOMP_BIND_HOSTNAMES_PROP_KEY

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### authenticated

          void authenticated(ComponentIOService serv)

    - #### authenticationFailed

          void authenticationFailed(ComponentIOService serv,
                                    Packet packet)

    - #### bindHostname

          void bindHostname(String hostname,
                            ComponentIOService serv)

    - #### getCompRepoItem

          CompRepoItem getCompRepoItem(String hostname)

    - #### getProcessor

          ExtProcessor getProcessor(String string)

    - #### getStreamFeatures

          List<tigase.xml.Element> getStreamFeatures(ComponentIOService serv)

    - #### getStreamOpenHandler

          StreamOpenHandler getStreamOpenHandler(String xmlns)

    - #### newPacketId

          String newPacketId(String prefix)

    - #### unbindHostname

          void unbindHostname(String hostname,
                              ComponentIOService serv)

Copyright © 2016 "Tigase, Inc.". All rights reserved.